repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v2.3.0
  hooks:
  - id: check-yaml
  - id: end-of-file-fixer
  - id: trailing-whitespace
- repo: local
  hooks:
  - id: kotlin-block-quotes
    name: Kotlin Block Quotes
    entry: ./.pre-commit-hooks/kotlin-block-quotes.py
    language: python
    files: ^.*\.kt$
  - id: license-header-check
    name: License Header Check
    entry: ./.pre-commit-hooks/license-header.sh
    language: system
    files: ^.*$
    pass_filenames: false
- repo: https://github.com/macisamuele/language-formatters-pre-commit-hooks
  rev: v1.6.1
  hooks:
  - id: pretty-format-kotlin
    args: [--autofix, --ktlint-version, 0.40.0]
  - id: pretty-format-yaml
    args: [--autofix, --indent, '2']
  - id: pretty-format-rust
    entry: rustfmt --edition 2018
    files: ^.*\.rs$
